## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDocumentBridge::BuildBridgeTreeWalker Class Reference

Inheritance diagram for XercesDocumentBridge::BuildBridgeTreeWalker:

[legend]
Collaboration diagram for XercesDocumentBridge::BuildBridgeTreeWalker:

[legend]
List of all members.

## Public Types

- typedef NavigatorBridgeVectorType NavigatorBridgeVectorInnerType
- typedef XalanVector< NavigatorStackEntryType > NavigatorStackType

## Public Member Functions

- BuildBridgeTreeWalker (XercesDocumentBridge *theDocument, XercesBridgeNavigator *theDocumentNavigator, NavigatorBridgeVectorInnerType &theNavigators, IndexType theStartIndex)
- virtual ~BuildBridgeTreeWalker ()

## Protected Member Functions

- virtual void startNode (const DOM_NodeType &node)
- virtual void endNode (const DOM_NodeType &node)

## Member Typedef Documentation

typedef NavigatorBridgeVectorType XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorBridgeVectorInnerType

typedef XalanVector<NavigatorStackEntryType> XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackType

## Constructor & Destructor Documentation

XercesDocumentBridge::BuildBridgeTreeWalker::BuildBridgeTreeWalker | ( | XercesDocumentBridge * | theDocument,
|  | XercesBridgeNavigator * | theDocumentNavigator,
|  | NavigatorBridgeVectorInnerType & | theNavigators,
|  | IndexType | theStartIndex
| ) |

virtual XercesDocumentBridge::BuildBridgeTreeWalker::~BuildBridgeTreeWalker | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void XercesDocumentBridge::BuildBridgeTreeWalker::endNode | ( | const DOM_NodeType & | node | ) | `[protected, virtual]`

| Implements XercesTreeWalker.

virtual void XercesDocumentBridge::BuildBridgeTreeWalker::startNode | ( | const DOM_NodeType & | node | ) | `[protected, virtual]`

| Implements XercesTreeWalker.

The documentation for this class was generated from the following file:

- XercesDocumentBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.